#
# spec file for package pwlib (Version 1.1.36)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pwlib
URL:		http://www.openh323.org
Copyright:    Copyright (c) 1993-1998 Equivalence Pty. Ltd., Mozilla Public License Version 1.0
Group:        System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-root
Autoreqprov:	on
Summary:      Portable Windows Library from Equivalence Pty. Ltd
Version:      1.1.36
Release:      45
Source:       pwlib_%{version}.tar.bz2
Patch:		pwlib.diff

%description
PWLib is a moderately large class library that has its genesis many years ago
as a method to product applications to run on both Microsoft Windows and the
X Window System. It also was to have a Macintosh port as well but this never
eventuated.
It is used for the OpenH323 project, see www.openh323.org for details.

Authors:
--------
    Equivalence Pty. Ltd. <support@equival.com.au>

SuSE series: n

%package devel
Version:      1.1.36
Release:      45
Summary:      pwlib package for developers (includes headers and scripts)
Group:		Development/Libraries

%description -n pwlib-devel
This package includes header files and scripts needed for developers
using the PWLIB library.

Authors:
--------
    Equivalence Pty. Ltd. <support@equival.com.au>

SuSE series: n

%prep
%setup -n pwlib
%patch

%build
export PWLIBDIR=`pwd`
export LD_LIBRARY_PATH=$PWLIBDIR/lib:$LD_LIBRARY_PATH
export OPENSSLDIR=/usr
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
export PWLIBDIR=$RPM_BUILD_ROOT/usr/lib/pwlib
if [ `uname -m | cut -b 3-` == "86" ]; then
  export M="x86"
else
if [ `uname -m | cut -b -3` == "ppc" ]; then
  export M="ppc"
else
if [ `uname -m | cut -b -7` == "sparc64" ]; then
  export M="sparc64"
else
if [ `uname -m | cut -b -5` == "sparc" ]; then
  export M="sparc"
else
if [ `uname -m | cut -b -5` == "alpha" ]; then
  export M="alpha"
else
if [ `uname -m | cut -b -4` == "ia64" ]; then
  export M="ia64"
else
if [ `uname -m | cut -b -5` == "s390x" ]; then
  export M="s390x"
else
if [ `uname -m | cut -b -4` == "s390" ]; then
  export M="s390"
else
  export M=`uname -m`
fi
fi
fi
fi
fi
fi
fi
fi
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -c lib/libpt_linux_"$M"_r.so.1.1.* $RPM_BUILD_ROOT/usr/lib
(cd $RPM_BUILD_ROOT/usr/lib; ln -s libpt_linux_"$M"_r.so.1.1.* libpt_linux_"$M"_r.so.1.1)
(cd $RPM_BUILD_ROOT/usr/lib; ln -s libpt_linux_"$M"_r.so.1.1.* libpt_linux_"$M"_r.so.1)
(cd $RPM_BUILD_ROOT/usr/lib; ln -s libpt_linux_"$M"_r.so.1.1.* libpt_linux_"$M"_r.so)
mkdir -p $PWLIBDIR/lib
(cd $PWLIBDIR/lib; ln -s /usr/lib/libpt_linux_"$M"_r.so.1.1.*)
(cd $PWLIBDIR/lib; ln -s /usr/lib/libpt_linux_"$M"_r.so.1.1)
(cd $PWLIBDIR/lib; ln -s /usr/lib/libpt_linux_"$M"_r.so.1)
(cd $PWLIBDIR/lib; ln -s /usr/lib/libpt_linux_"$M"_r.so)
mkdir -p $PWLIBDIR/tools/asnparser/obj_linux_"$M"_r
install -c tools/asnparser/obj_linux_"$M"_r/asnparser $PWLIBDIR/tools/asnparser/obj_linux_"$M"_r/asnparser
mkdir -p $PWLIBDIR/include/ptclib
install -c include/ptclib/*.h $PWLIBDIR/include/ptclib
mkdir -p $PWLIBDIR/include/ptlib
install -c include/ptlib.h $PWLIBDIR/include
install -c include/ptlib/*.h $PWLIBDIR/include/ptlib
install -c include/ptlib/*.inl $PWLIBDIR/include/ptlib
mkdir -p $PWLIBDIR/include/ptlib/unix/ptlib
install -c include/ptlib/unix/ptlib/*.h $PWLIBDIR/include/ptlib/unix/ptlib
install -c include/ptlib/unix/ptlib/*.inl $PWLIBDIR/include/ptlib/unix/ptlib
mkdir -p $PWLIBDIR/make
install -c make/*.mak $PWLIBDIR/make

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
/usr/lib/libpt_linux_*.1*

%files devel
%doc Readme.txt
/usr/lib/libpt_linux_*.so
%dir /usr/lib/pwlib
/usr/lib/pwlib/*

%changelog -n pwlib
* Fri Aug 17 2001 - kkaempf@suse.de
- update to 1.1.36
  fix ppc recognition.
* Thu Aug 16 2001 - kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Mon Aug 06 2001 - kkaempf@suse.de
- update to pwlib-1.1.34
* Wed Jun 20 2001 - kkaempf@suse.de
- fix machtype recognition for s390/s390x
- mark s390x as 64bit
* Tue Jun 19 2001 - kkaempf@suse.de
- add s390x as target
- clean up specfile
* Wed Apr 11 2001 - froh@suse.de
- recognize s390
* Fri Mar 02 2001 - kkaempf@suse.de
- fix sparc recognition in unix.mak
* Thu Feb 15 2001 - kkaempf@suse.de
- recognize sparc and sparc64
- set P_64BIT define for ia64
* Wed Feb 14 2001 - kkaempf@suse.de
- properly call va_end() after va_start() inside a block
  (newer gcc checks for this)
- override MACHTYPE to contain architecture only on alpha
* Thu Jan 04 2001 - kkaempf@suse.de
- provide .so in -devel package only
* Wed Jan 03 2001 - kkaempf@suse.de
- move files from /opt/h323/pwlib to /usr/lib/pwlib
  install libraries in /usr/lib
  install development components in /usr/lib/pwlib
* Tue Jan 02 2001 - kkaempf@suse.de
- update to maintanance release 1.1pl19
* Mon Nov 20 2000 - kkaempf@suse.de
- recognize ia64 in MACHTYPE
* Thu Nov 16 2000 - kkaempf@suse.de
- use %%doc in filelist
* Wed Nov 15 2000 - kkaempf@suse.de
- fixed filelist, *.inl are include files :-}
* Wed Nov 15 2000 - kkaempf@suse.de
- split pwlib and pwlib-devel
  added minimal readme to pwlib-devel
* Fri Nov 10 2000 - kkaempf@suse.de
- fix MACHTYPE for sparc and alpha
* Fri Nov 03 2000 - kkaempf@suse.de
- fixed neededforbuild, removed bison
* Tue Sep 05 2000 - kkaempf@suse.de
- update to 1.1.18
* Thu Jul 13 2000 - kkaempf@suse.de
- fix namespace std bug
* Wed Jul 12 2000 - kkaempf@suse.de
- fix sparc machtype
* Wed Jul 12 2000 - kkaempf@suse.de
- cvs update
* Mon Jul 10 2000 - kkaempf@suse.de
- fix specfile for alpha and ia64
* Tue Jul 04 2000 - kkaempf@suse.de
- fix dirpath in specfile
* Mon Jul 03 2000 - kkaempf@suse.de
- fix build error
* Mon Jun 26 2000 - kkaempf@suse.de
- fix libname for alpha
* Wed Jun 21 2000 - ro@suse.de
- specfile fix
* Wed Jun 21 2000 - kkaempf@suse.de
- adapt to non-x86 architectures
* Tue Jun 20 2000 - kkaempf@suse.de
- created package
